package de.ugoe.cs.quest.tasktrees.treeifc;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 10.06.2012$
 * @author 2012, last modified by $Author: patrick$
 */
public interface ITextInputEventTask extends IEventTask {
    
    /**
     * 
     */
    public String getEnteredText();

    /**
     * TODO: comment
     * 
     * @param string
     */
    public void setEnteredText(String text);
    
    /**
     * TODO: comment
     * 
     * @return
     */
    public ITextInputEventTask clone();

}
